#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	Basic hardware access drivers for logic analyzers
Summary(pl.UTF-8):	Podstawowe sterowniki dostępu do sprzętu dla analizatorów logicznych
Name:		libsigrok
Version:	0.3.0
Release:	1
License:	GPL v3+
Group:		Libraries
Source0:	http://sigrok.org/download/source/libsigrok/%{name}-%{version}.tar.gz
# Source0-md5:	6bc9fa9da9b791b8da961003244adeec
URL:		http://www.sigrok.org/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
#BuildRequires:	check >= 0.9.4
BuildRequires:	doxygen
BuildRequires:	gcc >= 6:4.0
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	graphviz
BuildRequires:	libftdi-devel >= 0.16
BuildRequires:	librevisa-devel >= 0.0.20130812
BuildRequires:	libserialport-devel >= 0.1.0
BuildRequires:	libtool >= 2:2
BuildRequires:	libusb-devel >= 1.0.16
BuildRequires:	libzip-devel >= 0.10
BuildRequires:	pkgconfig >= 1:0.22
Requires:	glib2 >= 1:2.32.0
Requires:	libftdi >= 0.16
Requires:	librevisa >= 0.0.20130812
Requires:	libserialport >= 0.1.0
Requires:	libusb >= 1.0.16
Requires:	libzip >= 0.10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libsigrok is a shared library written in C which provides the basic
API for talking to logic analyzer hardware and reading/writing the
acquired data into various input/output file formats.

%description -l pl.UTF-8
libsigrok to napisana w C biblioteka współdzielona udostępniająca
podstawowe API do komunikacji ze sprzętowymi analizatorami logicznymi
oraz odczytu/zapisu uzyskanych danych z/do różnych formatów plików
wejściowych/wyjściowych.

%package devel
Summary:	Development files for libsigrok
Summary(pl.UTF-8):	Pliki programistyczne biblioteki libsigrok
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.32.0
Requires:	libftdi-devel >= 0.16
Requires:	librevisa-devel >= 0.0.20130812
Requires:	libusb-devel >= 1.0.16
Requires:	libzip-devel >= 0.10

%description devel
This package contains the header files for developing applications
that use libsigrok.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do tworzenia aplikacji
wykorzystujących bibliotekę libsigrok.

%package static
Summary:	Static libsigrok library
Summary(pl.UTF-8):	Statyczna biblioteka libsigrok
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static libsigrok library.

%description static -l pl.UTF-8
Statyczna biblioteka libsigrok.

%prep
%setup -q

%build
install -d autostuff
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-all-drivers \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static}

%{__make}

doxygen Doxyfile

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/lib/udev/rules.d,%{_datadir}/sigrok-firmware}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

sed -e 's#plugdev#usb#g' contrib/z60_libsigrok.rules > $RPM_BUILD_ROOT/lib/udev/rules.d/60-libsigrok.rules

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libsigrok.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README README.devices
%attr(755,root,root) %{_libdir}/libsigrok.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsigrok.so.2
/lib/udev/rules.d/60-libsigrok.rules
%{_datadir}/sigrok-firmware

%files devel
%defattr(644,root,root,755)
%doc doxy/html-api/*
%attr(755,root,root) %{_libdir}/libsigrok.so
%{_includedir}/libsigrok
%{_pkgconfigdir}/libsigrok.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libsigrok.a
%endif
%changelog
* Fri Jul 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libsigrok.git;a=log;h=master

* Tue Jul 22 2014 Jakub Bogusz <qboosh@pld-linux.org> ffc133d
- librevisa support

* Tue Jul 22 2014 Jakub Bogusz <qboosh@pld-linux.org> 812109b
- updated to 0.3.0 (note: new soname)

* Mon Jul 21 2014 Jakub Bogusz <qboosh@pld-linux.org> 729324b
- pl, added bconditional -static

* Fri Jan 03 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d65f705
- rel 3; put datadir/sigrok-firmware dir here

* Sun Dec 22 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> c1c16ad
- rel 2; install udev rules

* Sat Dec 07 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 51c99e7
- up to 0.2.2

* Thu Jul 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9e64645
- up to 0.2.0 final

* Sun Mar 10 2013 Elan Ruusamäe <glen@delfi.ee> 940b9d4
- adapter, BR pkgconfig

* Sat Mar 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> f57dde9
- md5

* Sat Mar 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 041136c
- up to 0.2.0 snap

* Sat Mar 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ab08c75
- initial

